<script setup lang="ts">
import { computed, onMounted, ref } from 'vue'
import type { StockDetail } from '@/types/StockDetail'
import { useMaterialStore } from '@/stores/material'
import type { Material } from '@/types/Material'
import { useInvoiceStore } from '@/stores/invoice'
import { useInvoiceDetailStore } from '@/stores/invoiceDetail'

const materialStore = useMaterialStore()
const invoiceStore = useInvoiceStore()
const invoiceDetailStore = useInvoiceDetailStore()
onMounted(() => {
  materialStore.getMaterials()
  materialStore.getMaterialsInNewAtt()
})
const materialheaders = [
  {
    title: 'ชื่อ',
    key: 'name',
    value: 'name'
  },
  {
    title: 'จำนวนที่มี',
    key: 'Amount',
    value: 'Amount'
  },
  {
    title: 'ราคา',
    key: 'Price',
    value: 'Price'
  }
]
</script>

<template>
  <v-card variant="outlined" color="#412F26">
    <v-toolbar class="custom-stock-toolbar">
      <v-toolbar-title style="font-size: 24px"> Invoice Detail </v-toolbar-title>
      <v-spacer></v-spacer>
    </v-toolbar>
    <v-data-table :items="invoiceDetailStore.addAllinvoiceDetails" :headers="materialheaders"
      class="elevation-1 custom-table" fixed-header height="350px">
      <template v-slot:item="props">
        <tr>
          <td>{{ invoiceDetailStore.getMaterialName(props.item.IND_MATERIAL) }}</td>
          <td>
            <v-text-field v-model="props.item.IND_AMOUT" :readonly="materialStore.loading"
              :rules="[(v) => !!v || 'Field is required']" class="mb-2" clearable label="Amount" variant="outlined"
              filled rounded>
            </v-text-field>
          </td>
          <td>
            <v-text-field v-model.number="props.item.IND_PRICE" :readonly="materialStore.loading"
              :rules="[(v) => !!v || 'Field is required']" class="mb-2" clearable label="Price" variant="outlined"
              filled rounded>
            </v-text-field>
          </td>
          <td>
            <!-- need import data to editdialog for being to stock detail -->
          </td>
        </tr>
      </template>
    </v-data-table>
  </v-card>
</template>
